Delete an environment
curl --request DELETE \
--url https://api.alpic.ai/v1/environments/{environmentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environments/{environmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": "<unknown>"
}environments
Delete an environment
All environments can be deleted except the production environment. This operation is not reversible: associated logs, analytics, and metrics are deleted as well.
DELETE
/
v1
/
environments
/
{environmentId}
Delete an environment
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Response
The environment has been deleted successfully
Was this page helpful?